Roomability Guest API
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Guest
Roomability Guest API
  • Introduction
  • Authentication
  • Responses
  • Roomability Guest API
    • PayGateway
      • Detail
    • CancelPolicy
      • Detail
    • Paystack
      • Verify
      • Initialize
    • Reservation
      • Add
      • Availability
      • Cancel
      • Booking Ref
    • Country
      • GetSelectList
    • RoomType
      • DetailList
      • Detail
    • Term
      • Detail
    • State
      • GetSelectList
    • Privacy
      • Detail
    • Guest
      • Detail
        GET
    • Payment Method
      • Active List
    • Hotel
      • Detail
      • Hotel Rule
    • GetHotel List
      GET
    • Contact Page
      POST
    • Search List
      GET
    • Countries
      GET
    • Phone Code List
      GET
  • Retails & Ecommece Guest Api
    • Products
    • Users
    • Carts
    • Orders
  • Loyality Endpoint Api
    • Doors
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Guest

Detail

GET
https://guestapi.roomability.io/Guest/Detail
Last modified:2026-03-12 08:08:55
This endpoint retrieves the details of a guest based on the provided email address.
The response for this request can be documented as a JSON schema:
{
    "type": "object",
    "properties": {
        "detail": {
            "type": "object",
            "properties": {
                "title": {"type": "string"},
                "firstName": {"type": "string"},
                "lastName": {"type": "string"},
                "phone": {"type": "string"},
                "email": {"type": "string"},
                "sex": {"type": "string"},
                "occupation": {"type": "string"},
                "country": {"type": "string"},
                "state": {"type": "string"},
                "address1": {"type": "string"},
                "address2": {"type": "string"},
                "city": {"type": "string"}
            }
        },
        "errorCode": {"type": "integer"},
        "errorMessage": {"type": "string"}
    }
}

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Guest/Detail?email=goodguest@gmail.com' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "detail": {
        "title": "Mr.",
        "firstName": "Good",
        "lastName": "Guest",
        "phone": "08030000000",
        "email": "goodguest@gmail.com",
        "sex": "Male",
        "occupation": "Lawyer",
        "country": "Nigeria",
        "state": "Lagos",
        "address1": "",
        "address2": "Admiralty Way",
        "city": "Lekki"
    },
    "errorCode": 0,
    "errorMessage": "Guest detail retrieved successfully."
}
Modified at 2026-03-12 08:08:55
Previous
Detail
Next
Active List
Built with